import type { ItemPublic } from './item'; // Assuming item schema exists and is exported

export interface ListBase {
    id: number;
    name: string;
    description?: string | null;
    created_by_id: number;
    group_id?: number | null;
    is_complete: boolean;
    created_at: string;
    updated_at: string;
}
// Export interfaces to make the file a module
export interface ListPublic extends ListBase { }
export interface ListDetail extends ListBase {
    items: ItemPublic[];
}

export interface ListCreate {
    name: string;
    description?: string | null;
    group_id?: number | null;
}

export interface ListUpdate {
    name?: string | null;
    description?: string | null;
    is_complete?: boolean | null;
}

export interface ListStatus {
    list_updated_at: string; // Expect string from JSON
    latest_item_updated_at?: string | null; // Expect string or null from JSON
    item_count: number;
}